Package org.jfree.layouting.renderer.process

## Class ComputeTableICMMetricsStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateStructuralProcessStep
  - - org.jfree.layouting.renderer.process.ComputeTableICMMetricsStep

-     public class ComputeTableICMMetricsStep
      extends IterateStructuralProcessStep

  Computes the table-column base-size ratios. These ratios cannot be computed unless the preferred size of all cell-contents are known.

  As soon as the cell-sizes have been computed, the column model is filled and cell-ratios get assigned. The prelimentary cell-widths are kept in the column model object itself.

  For now, that computation creates a valid 'separate' border model. The compound-border-model smells like voodo right now, I have no clue how to do that.

  This step cannot be computed, if the table is not valid (is either closed or contains at least one row in the body-section).
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ComputeTableICMMetricsStep.TableInfoStructure` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComputeTableICMMetricsStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox root)` |
    `protected void` | `finishBlockBox​(BlockRenderBox box)` |
    `protected boolean` | `startBlockBox​(BlockRenderBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateStructuralProcessStep

      `finishInlineBox, finishNormalFlow, finishOtherBox, finishOtherNode, processBoxChilds, processParagraphChilds, startInlineBox, startNormalFlow, startOtherBox, startOtherNode, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComputeTableICMMetricsStep

          public ComputeTableICMMetricsStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox root)

    - #### startBlockBox

          protected boolean startBlockBox​(BlockRenderBox box)

      Overrides:
        `startBlockBox` in class `IterateStructuralProcessStep`

    - #### finishBlockBox

          protected void finishBlockBox​(BlockRenderBox box)

      Overrides:
        `finishBlockBox` in class `IterateStructuralProcessStep`